CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		errorsimulatord
} else {
	TARGET =		errorsimulator
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
    				xml \
					gui \
					opengl

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

SOURCES +=			../core/expression.cpp \
					../core/interpolation.cpp \
					../core/mat4.cpp \
					../core/messagebox.cpp \
					../core/openglgeometryfactory.cpp \
					../core/openglvertexbuffer.cpp \
					../core/openglwidget.cpp \
					../core/referencesystem.cpp \
					../core/vector2.cpp \
					../core/vector3.cpp \
					../core/xmlfile.cpp \
					src/adddialog.cpp \
					src/displaywidget.cpp \
					src/editor_ballbar.cpp \
					src/editor_iso.cpp \
					src/editor_laser.cpp \
					src/editor_mcg.cpp \
					src/errorsimulator.cpp \
					src/expressiondialog.cpp \
					src/machinecomp.cpp \
					src/machine_standardcomp.cpp \
					src/machine_deflectioncomp.cpp \
					src/machinedialog.cpp \
					src/machineparameterwidget.cpp \
					src/main.cpp \
					src/measurement.cpp \
					src/measurement_ballbar.cpp \
					src/measurement_iso.cpp \
					src/measurement_laser.cpp \
					src/measurement_mcg.cpp \
					src/measurementdialog.cpp \
					src/opengldisplay.cpp \
					src/opengldisplaymcg.cpp \
					src/opengldisplaywidget.cpp \
					src/progressdialog.cpp \
					src/types.cpp

HEADERS +=			../core/expression.h \
					../core/interpolation.h \
					../core/mat4.h \
					../core/messagebox.h \
					../core/openglgeometryfactory.h \
					../core/openglvertexbuffer.h \
					../core/openglwidget.h \
					../core/referencesystem.h \
					../core/vector2.h \
					../core/vector3.h \
					../core/xmlfile.h \
					src/adddialog.h \
					src/displaywidget.h \
					src/editor_ballbar.h \
					src/editor_iso.h \
					src/editor_laser.h \
					src/editor_mcg.h \
					src/errorsimulator.h \
					src/expressiondialog.h \
					src/machinecomp.h \
					src/machine_standardcomp.h \
					src/machine_deflectioncomp.h \
					src/machinedialog.h \
					src/machineparameterwidget.h \
					src/measurement.h \
					src/measurement_ballbar.h \
					src/measurement_iso.h \
					src/measurement_laser.h \
					src/measurement_mcg.h \
					src/measurementdialog.h \
					src/opengldisplay.h \
					src/opengldisplaymcg.h \
					src/opengldisplaywidget.h \
					src/progressdialog.h \
					src/types.h

RESOURCES +=		res/errorsimulator.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/errorsimulator
}
target.path =		$$PREFIX
target.files =		bin/errorsimulator
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/errorsimulator
}

win32 {
RC_FILE =			res/resource.rc
}
