/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef ADDDIALOGHEADERFILE
#define ADDDIALOGHEADERFILE

#include <QDialog>
#include <QStringList>

class QLabel;
class QLineEdit;
class QPushButton;

class TAddDialog : public QDialog
{
Q_OBJECT

public:
	
enum TType
{
	MACHINE = 0,
	MEASUREMENT
};

// CREATORS
	TAddDialog(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TAddDialog(void);

// ACCESSORS
	QString Name(void) const;
	TType Type(void) const {return d_current_type;}

// MANIPULATORS
	void Reset(const TType type,const QStringList &existing_names);

signals:

private slots:
	void Name_Changed(const QString&);

private:
	QLabel								*d_name_label;
	QLineEdit							*d_name_edit;
	QPushButton							*d_add_button;
	
	TType								d_current_type;
	QStringList							d_existing_names;

// NOT IMPLEMENTED
	TAddDialog(const TAddDialog&);
	TAddDialog& operator=(const TAddDialog&);
};

#endif
