/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef EXPRESSIONDIALOGHEADERFILE
#define EXPRESSIONDIALOGHEADERFILE

#include <QDialog>

class QLineEdit;
class QPushButton;
class QCloseEvent;

class TExpressionDialog : public QDialog
{
Q_OBJECT

public:

// CREATORS
	TExpressionDialog(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	virtual ~TExpressionDialog(void);

// ACCESSORS
	QString Expression(void) const;

// MANIPULATORS
	void Set_Parameter_Range(const double &min,const double &max) {d_min = min;d_max = max;}
	void Set_Expression(const QString &text);

signals:

private slots:
	
protected:
	virtual void closeEvent(QCloseEvent *event);


private:
	QLineEdit							*d_pos1_edit;
	QLineEdit							*d_err1_edit;
	QLineEdit							*d_pos2_edit;
	QLineEdit							*d_err2_edit;
	QLineEdit							*d_pos3_edit;
	QLineEdit							*d_err3_edit;
	QLineEdit							*d_pos4_edit;
	QLineEdit							*d_err4_edit;
	QLineEdit							*d_pos5_edit;
	QLineEdit							*d_err5_edit;
	QPushButton							*d_apply_button;
	
	double								d_min;
	double								d_max;

// NOT IMPLEMENTED
	TExpressionDialog(const TExpressionDialog&);
	TExpressionDialog& operator=(const TExpressionDialog&);
};

#endif
