/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#include <QApplication>
#include <QStyleFactory>
#include <QIcon>

#ifdef Q_OS_MAC
#include "../../core/nspool.h"
#endif

#include "errorsimulator.h"

int main(int argc, char *argv[])
{
	int									ret_value;

#ifdef Q_OS_MAC
		TNSPool *nspool = new TNSPool();
#endif
//	Q_INIT_RESOURCE(errorsimulator);
	QApplication app(argc, argv);
	
#ifndef Q_OS_MAC
	QApplication::setStyle(QStyleFactory::create("fusion"));
#endif

	app.setWindowIcon(QIcon(QStringLiteral(":/icons/errorsimulator.png")));

	TErrorSimulator *w = new TErrorSimulator;

	w->show();
	ret_value = app.exec();

#ifdef Q_OS_MAC
	delete nspool;
#endif

	delete w;
	return ret_value;
}
