/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef PROGRESSDIALOGHEADERFILE
#define PROGRESSDIALOGHEADERFILE

#include <QDialog>

class QProgressBar;

class TProgressDialog : public QDialog
{
Q_OBJECT

public:

// CREATORS
	TProgressDialog(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TProgressDialog(void);

// ACCESSORS

// MANIPULATORS
	
	void Reset_Progress(const int min,const int max);
	void Set_Progress(const int value);
	void End_Progress(void);

signals:
	void Cancel(void);

private slots:

private:
	QProgressBar						*d_progress_bar;

// NOT IMPLEMENTED
	TProgressDialog(const TProgressDialog&);
	TProgressDialog& operator=(const TProgressDialog&);
};

#endif
